<template>
  <v-expansion-panel>
    <v-expansion-panel-content
      v-for="(item, index) in itemsMaterials"
      :key="item.title"
    >
      <div slot="header">
        {{item.title}}
      </div>
      <v-card>
        <v-card-text>
          <v-layout row>
            <v-flex sm3 ml-4>
              {{item.etat}}
            </v-flex>
            <v-flex sm3 ml-4>
              {{item.freq}}
            </v-flex>

          </v-layout>
          <v-layout row>
            <v-flex sm3 ml-4>
              <v-icon
                  v-if=item.isDisplay1
                  color="red lighten-1"
                >
                  block
                </v-icon>

                <v-icon
                  v-else
                  color="green lighten-2"
                >
                  check_circle
              </v-icon>
              {{item.objet1}}
              <div v-if=item.isDisplay1>
                <v-btn v-on:click="buttonDone(index, 1)" color="success">Fait</v-btn>
              </div>
            </v-flex>
            <v-flex sm3 ml-4>
              <v-icon
                v-if=item.isDisplay2
                color="red lighten-1"
              >
                block
              </v-icon>

              <v-icon
                v-else
                color="green lighten-2"
              >
                check_circle
              </v-icon>
              {{item.objet2}}
              <div v-if=item.isDisplay2>
                <v-btn v-on:click="buttonDone(index, 2)" color="success">Fait</v-btn>
              </div>
            </v-flex>

          </v-layout>
          <v-flex sm3 ml-4>
            {{item.description}}
          </v-flex>
        </v-card-text>
      </v-card>
    </v-expansion-panel-content>
  </v-expansion-panel>
</template>

<script>
  export default {
    methods: {
      buttonDone: function (index, num) {
        if (num === 1) {
          this.itemsMaterials[index].isDisplay1 = false
        } else {
          this.itemsMaterials[index].isDisplay2 = false
        }
      }
    },
    computed: {
      itemsMaterials: function () {
        return this.$store.getters.itemsMaterials
      }
    }
  }
</script>
